# ＳＴＫ メイクファイル

# コンパイラー設定
CC=GCC
CFLAGS=-c -O -fomit-frame-pointer -fstrength-reduce -fforce-addr -funsigned-char -fforce-mem

# アセンブラー設定
AS=HAS
AFLAGS=

# リンカー設定
LK=GCC
LFLAGS=E:\SUB\GAIG.A e:\sub\extend.a A:\LIB\floatfnc.a -liocs -ldos -lbas

# アーカイバーの設定
AR=OAR

# Ｘファイル規則
stkx.x: stkx.o stklib.a
	$(LK) $^ $(LFLAGS)

# .cファイル コンパイル規則
%.O:: %.c stk.h stkerr.h
	$(CC) $(CFLAGS) $<

# .sファイル コンパイル規則
%.O:: %.s
	$(AS) $(AFLAGS) $<

# 全オブジェクトファイル アーカイブの規則
stklib.a::	stkfnc1.o stkfnc2.o stkfnc3.o stkfnc4.o stkfnc5.o stkfnc6.o stkfnc7.o \
		stkfnca.o stkfncb.o stkfncd.o stkfnce.o stkfnci.o stkfnck.o stkfncr.o \
		stkfncs.o stkfncv.o
	$(AR) stklib.a $^

stklib.a::	stk.o stkmain.o stkvchg.o stkarray.o stkpair.o stkcvn.o stkcode.o \
		stkertbl.o stkmktkn.o stkcom.o stkcomc.o stkintp.o \
		stkadd.o stkstack.o stktknget.o stkerr.o stklabel.o stkchknm.o \
		stkvread.o _break.o
	$(AR) stklib.a $^
